# Uses of Class
org.apache.qpid.proton.codec.ShortType.ShortEncoding

Packages that use ShortType.ShortEncoding
Package
Description
org.apache.qpid.proton.codec

## Uses of ShortType.ShortEncoding in org.apache.qpid.proton.codec

Methods in org.apache.qpid.proton.codec that return ShortType.ShortEncoding
Modifier and Type
Method
Description
`ShortType.ShortEncoding`
ShortType.`getCanonicalEncoding()`
`ShortType.ShortEncoding`
ShortType.`getEncoding(Short val)`
Methods in org.apache.qpid.proton.codec that return types with arguments of type ShortType.ShortEncoding
Modifier and Type
Method
Description
`Collection<ShortType.ShortEncoding>`
ShortType.`getAllEncodings()`